# Sinograms.jl
Julia library for working with sinograms / tomography / Radon transform

https://github.com/JeffFessler/Sinograms.jl

[![action status][action-img]][action-url]
[![pkgeval status][pkgeval-img]][pkgeval-url]
[![codecov][codecov-img]][codecov-url]
[![license][license-img]][license-url]
[![docs-stable][docs-stable-img]][docs-stable-url]
[![docs-dev][docs-dev-img]][docs-dev-url]
[![code-style][code-blue-img]][code-blue-url]
<img src="docs/src/assets/logo.png" alt="logo" width="150"/>

Associated with
[JuliaImageRecon](https://github.com/JuliaImageRecon)
and the
[Michigan Image Reconstruction Toolbox (MIRT)](https://github.com/JeffFessler/MIRT.jl).

See the examples under the blue "docs" badges above.

Tested with Julia ≥ 1.7.


### Related packages in Julia

* https://github.com/JuliaImages/ImageReconstruction.jl (`radon`, `iradon`)
* https://github.com/JeffFessler/SPECTrecon.jl


### Related packages in other languages

* Astra https://www.astra-toolbox.com Matlab/Python
* CASToR https://castor-project.org
* Duke MCR todo
* FreeCT http://cvib.ucla.edu/freect C/CUDA
* STIR http://stir.sourceforge.net
* SIRF https://github.com/SyneRBI/SIRF
* Tomopedia list: https://tomopedia.github.io/software (todo: add JuliaImageRecon)


<!-- URLs -->
[action-img]: https://github.com/JeffFessler/Sinograms.jl/workflows/CI/badge.svg
[action-url]: https://github.com/JeffFessler/Sinograms.jl/actions
[build-img]: https://github.com/JeffFessler/Sinograms.jl/workflows/CI/badge.svg?branch=main
[build-url]: https://github.com/JeffFessler/Sinograms.jl/actions?query=workflow%3ACI+branch%3Amain
[pkgeval-img]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/S/Sinograms.svg
[pkgeval-url]: https://juliaci.github.io/NanosoldierReports/pkgeval_badges/S/Sinograms.html
[code-blue-img]: https://img.shields.io/badge/code%20style-blue-4495d1.svg
[code-blue-url]: https://github.com/invenia/BlueStyle
[codecov-img]: https://codecov.io/github/JeffFessler/Sinograms.jl/coverage.svg?branch=main
[codecov-url]: https://codecov.io/github/JeffFessler/Sinograms.jl?branch=main
[docs-stable-img]: https://img.shields.io/badge/docs-stable-blue.svg
[docs-stable-url]: https://JeffFessler.github.io/Sinograms.jl/stable
[docs-dev-img]: https://img.shields.io/badge/docs-dev-blue.svg
[docs-dev-url]: https://JeffFessler.github.io/Sinograms.jl/dev
[license-img]: http://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat
[license-url]: LICENSE
